FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Create auth session

Create an auth session before auth process.

AI Actions
POST
/v1/auth/session

Create an auth session before auth process.

Authorization

Token_header_Authorization api:user.write
AuthorizationBearer <token>

In: header

Scope: api:user.write

Request Body

application/json

cancel_uristringrequired

Your url to cancel an auth flow

end_user_idstringrequired

The end_user that will be consenting with an external provider

institution_idstring

The institution id selected for the auth session

redirect_uristringrequired

Where the end user will be redirected to on success

Response Body

application/json

application/vnd.goa.error

application/vnd.goa.error

application/vnd.goa.error

curl -X POST "https://api.fiskil.com/v1/auth/session" \  -H "Content-Type: application/json" \  -d '{    "cancel_uri": "https://acme.com/cancel",    "end_user_id": "22325VgWkf6GkW2149t633Bucup",    "institution_id": "10",    "redirect_uri": "https://acme.com/success"  }'
{
  "auth_url": "auth-session.com/redirect-url",
  "expires_at": 1213467,
  "id": "5qcql2s0bn9qfh1m5qd1sl4gth",
  "session_id": "ea564d-56012s4-6ds4564"
}
{
  "fault": true,
  "id": "123abc",
  "message": "parameter 'p' must be an integer",
  "name": "bad_request",
  "temporary": true,
  "timeout": false
}
{
  "fault": true,
  "id": "123abc",
  "message": "parameter 'p' must be an integer",
  "name": "bad_request",
  "temporary": true,
  "timeout": false
}
{
  "fault": true,
  "id": "123abc",
  "message": "parameter 'p' must be an integer",
  "name": "bad_request",
  "temporary": true,
  "timeout": false
}

Was this page helpful?

UsageList consents